# Digital Notebook Method

The Digital Notebook Method streamlines the linguistic elicitation session, employing automated and semi-automated processing without the need of high-level programming skills. Through this method, the data are entered digitally, not in a physical notebook, and the output can be immediately incorporated into a database and is ready for archiving.

# Documentation
[Overview](https://github.com/rgriscom/Digital-Notebook-Method/blob/master/Digital%20Notebook%20Method%20Overview.pdf) - A brief description of the method.

[Presentation](https://youtu.be/CH3VPcevimA) - A video presentation introducing the method.

[Slides](https://www.dropbox.com/s/9nb7wye2xqejq9h/Griscom_and_Otero_%282019%29_The_digital_notebook_method_%28presentation%29.pdf?dl=0) and [handout](https://www.dropbox.com/s/vw1h1tflb7bs6sn/Griscom_and_Otero_%282019%29_The_digital_notebook_method_%28handout%29.pdf?dl=0) from a talk at [ICLDC 6](http://icldc6.icldc-hawaii.org/) at the University of Hawaii, Manoa. 

[Demonstration](https://www.youtube.com/watch?v=NzCEfEZK4fw&feature=youtu.be) - A video demonstration of the data processing stage of the method.


# Resources

[Data Merger script](https://github.com/rgriscom/Digital-Notebook-Method/tree/master/Data%20Merger) - The script used in the Digital Notebook Method to combine text and timecode data and output in .EAF, .TextGrid, and .TXT formats. Also available as a [Google Colab Notebook](https://colab.research.google.com/drive/1k_mI4tPUCHVNq_m9_J62fcUVjcuHY7Qb?usp=sharing).

[Demonstration files](https://github.com/rgriscom/Digital-Notebook-Method/tree/master/Demonstration%20files) - Sample audio and text files used in the video demonstration, packaged together with the Data Merger script.


# Contact

Have any questions, comments, or suggestions relating to the Digital Notebook Method? Contact Richard T. Griscom at rgriscom@gmail.com.

